Public Class Picture
    Inherits GeometryWorldObject

    Sub New(game As Game, world As VirtualWorld, position As Vector3, rotation As Vector3, texture As Texture2D, shape As Quad, effect As BasicEffect)
        MyBase.new(game, world, position, rotation, texture, shape, effect)
    End Sub

    Sub New(game As Game, world As VirtualWorld, position As Vector3, rotation As Vector3, color As System.Drawing.Color, shape As Quad, effect As BasicEffect)
        Me.New(game, world, position, rotation, world.CreateColoredTexture(color, 500, 500), shape, effect)
    End Sub
End Class


